> # NAME

> cgGetParameterSemantic - get a parameter's semantic

> # SYNOPSIS

>       #include <Cg/cg.h>

>       const char * cgGetParameterSemantic( CGparameter param );

> # PARAMETERS

> param

>   The parameter.

> # RETURN VALUES

> Returns the NULL-terminated semantic string for the parameter.

> Returns NULL if an error occurs.

> # DESCRIPTION

> cgGetParameterSemantic allows the application to retrieve the semantic of a parameter in a Cg program. If a uniform parameter does not have a user-assigned semantic, an empty string will be returned. If a varying parameter does not have a user-assigned semantic, the semantic string corresponding to the compiler-assigned resource for that varying will be returned.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> # HISTORY

> cgGetParameterSemantic was introduced in Cg 1.1.

> # SEE ALSO

> cgSetParameterSemantic, cgGetSemanticCasePolicy, cgSetSemanticCasePolicy, cgGetParameterResource, cgGetParameterResourceIndex, cgGetParameterName, cgGetParameterType